// No copyright, no warranty; use as you will.

// Version 1.01
// Changes from version 1.0: None

package de.tudarmstadt.ito.domutils;

import org.w3c.dom.Document;

/**
 * DocumentFactory for the Oracle DOM implementation, version 2.0.2.8.0.
 *
 * @author Alf Hogemark
 * @version 1.01
 */

public class DF_Oracle2 implements DocumentFactory
{
   // ********************************************************************
   // Constructors
   // ********************************************************************

   public DF_Oracle2()
   {
   }

   // ********************************************************************
   // Public methods
   // ********************************************************************

   public Document createDocument() throws DocumentFactoryException
   {
      try
      {
         return new oracle.xml.parser.v2.XMLDocument();
      }
      catch (Exception e)
      {
         throw new DocumentFactoryException(e.getMessage());
      }
   }
}
