// No copyright, no warranty; use as you will.
// Written by Ronald Bourret, Technical University of Darmstadt, 1998-9

// Version 1.01
// Changes from version 1.0: None

package de.tudarmstadt.ito.xmldbms;

/**
 * Thrown when a Map object contains an invalid value or an error occurs
 * when constructing a Map object, such as when a mapping document
 * contains an invalid value.
 *
 * @author Ronald Bourret, Technical University of Darmstadt
 * @version 1.01
 * @see Map
 */

public class InvalidMapException extends Exception
{
   public InvalidMapException (String message)
   {
      super(message);
   }
}
