// No copyright, no warranty; use as you will.
// Written by Ronald Bourret, Technical University of Darmstadt, 1998-9

// Version 1.01
// Changes from version 1.0: None

package de.tudarmstadt.ito.domutils;

import org.w3c.dom.Document;

/**
 * DocumentFactory for the OpenXML DOM implementation, version 1.0.6.
 *
 * @author Ronald Bourret, Technical University of Darmstadt
 * @version 1.01
 */

public class DF_OpenXML implements DocumentFactory
{
   // ********************************************************************
   // Constructors
   // ********************************************************************

   public DF_OpenXML()
   {
   }

   // ********************************************************************
   // Public methods
   // ********************************************************************

   public Document createDocument() throws DocumentFactoryException
   {
      try
      {
         org.openxml.DOMFactory factory = new org.openxml.DOMFactory();
         return factory.createXMLDocument();
      }
      catch (Exception e)
      {
         throw new DocumentFactoryException(e.getMessage());
      }
   }
}
