// No copyright, no warranty; use as you will.
// Written by Ronald Bourret, Technical University of Darmstadt, 1998-9

// Version 1.01
// Changes from version 1.0: None

package de.tudarmstadt.ito.domutils;

import org.w3c.dom.Document;

/**
 * DocumentFactory for the Sun DOM implementation, Technology Release 1.
 *
 * @author Ronald Bourret, Technical University of Darmstadt
 * @version 1.01
 */

public class DF_Sun implements DocumentFactory
{
   // ********************************************************************
   // Constructors
   // ********************************************************************

   public DF_Sun()
   {
   }

   // ********************************************************************
   // Public methods
   // ********************************************************************

   public Document createDocument() throws DocumentFactoryException
   {
      try
      {
         return new com.sun.xml.tree.XmlDocument();
      }
      catch (Exception e)
      {
         throw new DocumentFactoryException(e.getMessage());
      }
   }
}
