// No copyright, no warranty; use as you will.
// Written by Ronald Bourret, Technical University of Darmstadt, 1998-9

// Version 1.01
// Changes from version 1.0:
// * New in version 1.01

package de.tudarmstadt.ito.domutils;

import org.w3c.dom.Document;

/**
 * DocumentFactory for the Xerces Java Parser DOM implementation,
 * version 1.1.0.
 *
 * @author Ronald Bourret, Technical University of Darmstadt
 * @version 1.01
 */

public class DF_Xerces implements DocumentFactory
{
   // ********************************************************************
   // Constructors
   // ********************************************************************

   public DF_Xerces()
   {
   }

   // ********************************************************************
   // Public methods
   // ********************************************************************

   public Document createDocument() throws DocumentFactoryException
   {
      try
      {
         return new org.apache.xerces.dom.DocumentImpl();
      }
      catch (Exception e)
      {
         throw new DocumentFactoryException(e.getMessage());
      }
   }
}
